%define major 0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname %{name} -d

Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	0.23
Release:	%mkrel 3
License:	BSD and Zlib and GPLv2+
Group:		System/Libraries
URL:		https://linphone.org/
Source0:	https://linphone.org/releases/sources/bcmatroska2/bcmatroska2-%{version}.tar.gz
Source1:	https://linphone.org/releases/sources/bcmatroska2/bcmatroska2-%{version}.tar.gz.md5
# (wally) from OpenSUSE to resolve a conflict with libebml and libmatroska.
Patch0:		bcmatroska2-include-subdir.patch
# (wally) alow overriding cmake config file location from cmd line
Patch1:         bcmatroska2-0.23-cmake-config-location.patch
BuildRequires:	cmake

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{libname}
Summary:	C Library to Deal with Matroska Files
Group:		System/Libraries

%description -n	%{libname}
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}

%prep
%setup -q
%autopatch -p1

%build
%cmake \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%cmake_build

%install
%cmake_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.23-3.mga8
+ Revision: 1510673
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 0.23-2.mga7
+ Revision: 1295352
- Mageia 7 Mass Rebuild

* Sun Dec 31 2017 wally <wally> 0.23-1.mga7
+ Revision: 1188350
- imported package bcmatroska2

